tigase.jaxmpp.core.client.xmpp.modules.streammng

## Class StreamManagementModule.StreamManagementEnabledHandler.StreamManagementEnabledEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<StreamManagementModule.StreamManagementEnabledHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.streammng.StreamManagementModule.StreamManagementEnabledHandler.StreamManagementEnabledEvent

- Enclosing interface:
    StreamManagementModule.StreamManagementEnabledHandler

      public static class StreamManagementModule.StreamManagementEnabledHandler.StreamManagementEnabledEvent
      extends JaxmppEvent<StreamManagementModule.StreamManagementEnabledHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamManagementEnabledEvent(SessionObject sessionObject, Boolean resume, String id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(StreamManagementModule.StreamManagementEnabledHandler handler)` Invokes handlers method.
    `Boolean` | `getResume()`
    `String` | `getResumeId()`
    `void` | `setResume(Boolean resume)`
    `void` | `setResumeId(String resumeId)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamManagementEnabledEvent

          public StreamManagementEnabledEvent(SessionObject sessionObject,
                                              Boolean resume,
                                              String id)

  - ### Method Detail

    - #### dispatch

          protected void dispatch(StreamManagementModule.StreamManagementEnabledHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<StreamManagementModule.StreamManagementEnabledHandler>`
      Parameters:
        `handler` - handler

    - #### getResume

          public Boolean getResume()

    - #### setResume

          public void setResume(Boolean resume)

    - #### getResumeId

          public String getResumeId()

    - #### setResumeId

          public void setResumeId(String resumeId)

Copyright © 2006–2016 Tigase. All rights reserved.